#include<bits/stdc++.h>

using namespace std;

/* prva i druga grupa primera */

vector<int> tbca;
vector<int> tbcb;
//vector<int> tbc;

int main() {
    string t;
    string s;
    int ans = 0;
    cin >> t;
    cin >> s;
    bool slucaj = true;
    for(int i=0;i<s.length();i++) if(s[i]!='a') slucaj=false;
    if(slucaj) {
        cerr << "a" << endl;
        int alen = s.length();
        int acnt = 0;
        for(int i=0;i<t.length();i++) {
            if(t[i]=='a') acnt++;
        }
        int i=0;
        while(acnt>=alen) {
            if(t[i]=='a') {
                t[i] = '*';
                acnt--;
                ans++;
            }
            i++;
        }
        cout << ans << "\n";
        cout << t;
        return 0;
    }
    else {
        bool flag=false;
        int acnt=0, bcnt=0;
        for(int i=0;i<t.length();i++) {
            if(t[i]=='a') {
                flag=true;
                acnt++;
                tbca.push_back(i);
            }
            else if(t[i]=='b' && flag) {
                bcnt++;
                tbcb.push_back(i);
            }
        }
        if(acnt>bcnt) {
            ans=bcnt;
            for(int i=0;i<tbcb.size();i++) {
                t[tbcb[i]] = '*';
            }
        }
        else {
            ans=acnt;
            for(int i=0;i<tbca.size();i++) {
                t[tbca[i]] = '*';
            }
        }
        cout << ans << "\n";
        cout << t;
    }
}